%define name	gbonds
%define version 2.0.2
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Bond Tracking Program for GNOME
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.gz
URL:		http://directory.fsf.org/all/gbonds.html
License:	GPL
Group:		Finance
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	libart_lgpl2 >= 2.3.17
Requires:	libatk1.0_0 >= 1.10.3
Requires:	libcairo2 >= 1.0.2
Requires:	pango >= 1.10.2 libpango1.0_0 >= 1.10.2
Requires:	libgnomeui2 >= 2.10.1
Requires:	gtk+2.0 >= 2.8.9 libgtk+2.0_0 >= 2.8.9

%description
GBonds is a savings bond inventory program for GNOME. It can track the
current redemption value and performance of both individual bonds and
an entire inventory, and print out that inventory (so you can keep a
permanent record in a separate location). The program can track savings
notes and series E, EE, and I savings bonds, and can use U.S. Treasury
Department redemption files without modification.


%prep
%setup -q

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Finance" \
  --add-category="Office" \
  --add-category="X-MandrivaLinux-MoreApplications-Finances" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -f $RPM_BUILD_ROOT/usr/share/mime/XMLnamespaces
rm -f $RPM_BUILD_ROOT/usr/share/mime/aliases
rm -f $RPM_BUILD_ROOT/usr/share/mime/globs
rm -f $RPM_BUILD_ROOT/usr/share/mime/magic
rm -f $RPM_BUILD_ROOT/usr/share/mime/subclasses
rm -f $RPM_BUILD_ROOT/usr/share/mime/mime.cache
rm -f $RPM_BUILD_ROOT/var/lib/scrollkeeper/*/scrollkeeper_cl.xml
rm -f $RPM_BUILD_ROOT/var/lib/scrollkeeper/*/scrollkeeper_extended_cl.xml
rm -f $RPM_BUILD_ROOT/var/lib/scrollkeeper/scrollkeeper_docs
rm -f $RPM_BUILD_ROOT/var/lib/scrollkeeper/TOC/0
rm -f $RPM_BUILD_ROOT/var/lib/scrollkeeper/index/0

%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root)
%_bindir/gbonds
%_datadir/application-registry/gbonds.applications
%_datadir/applications/gbonds.desktop
%_datadir/gbonds/download-sites.xml
%_datadir/gbonds/*.asc
%_datadir/gbonds/ui/gbonds-ui.xml
%_datadir/gnome/help/gbonds/C/figures/*.png
%_datadir/gnome/help/gbonds/C/gbonds.xml
%_datadir/mime-info/gbonds.keys
%_datadir/mime-info/gbonds.mime
%_datadir/pixmaps/gbonds-application-x-gbonds.png
%_datadir/pixmaps/gbonds.png
%_datadir/pixmaps/gbonds/gbonds_logo.png


%_datadir/mime/application/x-gbonds.xml
%_datadir/mime/packages/gbonds.xml
%_datadir/omf/gbonds/gbonds-C.omf

%changelog
* Wed Jul 18 2007 Texstar <texstar@gmail.com> 2.0.2-2pclos2007
- fix synaptic group

* Sat Jul 14 2007 Texstar <texstar@gmail.com> 2.0.2-1pclos2007
- import into pclos 2007 from 0.93

* Sat Apr 08 2006 Texstar <texstar@houston.rr.com> 2.0.2-3tex
- add in required gnome dependencies

* Sat Apr 08 2006 Texstar <texstar@houston.rr.com> 2.0.2-2tex
- add in menu

* Sat Apr 08 2006 Texstar <texstar@houston.rr.com> 2.0.2-1tex
- build for pclos
